@import "../sass/variables";

.side-bar-layout-container {
	position: absolute;
	bottom: 0;
	left: 0;
	right: 20px;
	padding: 0;
	background: #ffffff;
	height: calc(100vh - #{$header-height});
}

.side-bar {
	background: #444444;
	left: 0;
	.mat-nav-list {
		padding-top: 0;
		.mat-list-item {
			height: 36px;
			color: $app-white;
			background: none;
			&.active-link {
				color: mat-color($mat-event, 400);
				background: none;
				fa-icon {
					color: mat-color($mat-event, 200);
				}
			}
		}
		.divider {
			border-bottom: 1px solid rgba(255, 255, 255, 0.25);
		}
	}
	.nav-icon {
		font-size: 1.5rem;
    width: 2.5rem;
		padding-right: 1rem;
	}
	.mat-list-item-content {
		padding: 0 1rem 0 1.5rem !important;
		span {
			font-size: 1.2rem;
		}
	}
	.side-bar-accordion {
		.mat-expansion-panel-body {
			position: relative;
			top: -10px;
		}
		.mat-list-item-content {
			padding: 0 1rem 0 1.5rem !important;
			span {
				margin-left: 1.2rem;
				font-size: 1.2rem;
			}
		}
		.mat-expansion-panel {
			margin: 0;
			background: none;
			box-shadow: none;
		}
		.mat-expansion-panel-header {
			height: 44px !important;
			padding: 0px 1rem 0.8rem 1.5rem;
		}
		.mat-expansion-panel-header-title {
			span {
				padding-top: 2px;
				font-size: 1.2rem;
			}
		}
		.mat-expansion-indicator {
			position: relative;
			left: -5px;
			&::after {
				color: $app-white;
			}
			@at-root #{selector-replace(&, '.mat-expansion-indicator', '.mat-expanded .mat-expansion-indicator')} {
				top: 2px;
			}
		}
	}
	.mat-expansion-panel-header-title {
		color: $app-white;
	}
}

.menu-icon {
	padding: 0 1rem;
	margin: 0.6rem 0 0 0;
	width: 100%;
	overflow: hidden;
	color: $app-white;
	@at-root #{selector-replace(&, '.menu-icon', '.side-menu-collapsed .menu-icon')} {
		padding: 0px 1rem 0.6rem 0.3rem;
		border-bottom: 1px solid rgba(255, 255, 255, 0.2);
	}
	fa-icon {
		float: right;
		font-size: 1.75rem;
		cursor: pointer;
		@at-root #{selector-replace(&, 'fa-icon', '.side-menu-collapsed fa-icon')} {
			float: none;
			padding: 0.5rem 1rem 0 1.4rem;
		}
	}
}

.active-link {
	background-color: mat-color($mat-event, 200);
}

.side-menu-open {
	width: $side-menu-open;
	float: left;
}

.side-menu-collapsed {
	width: $side-menu-collapsed;
	float: left;
	.mat-expansion-indicator {
		display: none;
	}
}

.content-open {
	width: calc(100% - #{$side-menu-open});
	float: left;
}

.content-collapsed {
	width: calc(100% - #{$side-menu-collapsed});
	float: left;
}
